val items = listOf("apple", "banana", "kiwifruit")

fun main() {
    for (item in items) {
        println(item)
    }

    println("----------------")

    for (index in items.indices) {
        println("item 在 $index 是 ${items[index]}")
    }

    println("----------------像是Switch--------------")
    println(describe(1))
    println(describe("Hello"))
    println(describe(1000L))
    println(describe(2))
    println(describe("other"))

    println("----------------Ranges------------")
    rangeTest()

    println("----------------for..in..------------")
    forTest()
}

// 使用when
fun describe(obj: Any): Any = when (obj) {
    1 -> "是一"
    "Hello" -> "Greeting"
    is Long -> "Long"
    !is String -> "Not a string"
    else -> "Unknown"
}

// 范围测试
fun rangeTest() {
    val x = 10
    val y = 100

    if (x in 1..y + 1) {
        println("1 在这个范围里")
    }

    if (-1 !in 1..y + 1) {
        println("-1 不在这个范围里")
    }
}

fun forTest() {
    for (x in 1..5) {
        println(x)
    }
}