class BasicSyntax1 {
    companion object {
        @JvmStatic
        fun main(args: Array<String>) {
            val getBook = ::Book
            println(getBook.name)

            val bookNames = listOf(
                Book("Thinking in Java"),
                Book("啊啊")
            )
            bookNames.map { b -> println(b.name) }

            bookNames.map(Book::name).map { s -> println(s) }
            println(bookNames)

            val a = { x: Int -> x + 1 }
            println(a(1))

            var b = 1
            fun foo() = if (b > 0) {
                b = 2
                b
            } else 0

            println(foo())
        }
    }
}


class Book(val name: String)
