package bunny.async;

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.util.concurrent.CompletableFuture;

public class CompletableFutureTest8 {
    public static void main(String[] args) {
        CompletableFuture
                .completedFuture("https://leetcode.cn/problemset/algorithms/?difficulty=EASY&page=1&status=NOT_STARTED&sorting=W3sic29ydE9yZGVyIjoiQVNDRU5ESU5HIiwib3JkZXJCeSI6IkZST05URU5EX0lEIn1d")
                .thenApply(url -> {
                    try {
                        HttpRequest httpRequest = HttpRequest.newBuilder().GET().uri(new URI(url)).build();
                        System.out.println("httpRequest构建完成。。。");
                        HttpClient client = HttpClient.newBuilder().build();

                        return client.send(httpRequest, HttpResponse.BodyHandlers.ofString());
                    } catch (Exception e) {
                        System.out.println(e.getMessage());
                        return null;
                    }
                })
                .thenAccept(response -> {
                    System.out.println(response.body());
                });
    }
}

