package bunny.thread;

import java.util.concurrent.ExecutionException;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;
import java.util.concurrent.Future;

public class ThreadTest7 {
    public static void main(String[] args) throws ExecutionException, InterruptedException {
        try (ExecutorService pool = Executors.newFixedThreadPool(4)) {
            Runnable runnable = () -> {
                System.out.println("执行的任务1");
            };

            pool.submit(runnable);
            Future<Integer> future = pool.submit(() -> {
                System.out.println("执行的任务2");
                return 1;
            });


            pool.execute(() -> {
                System.out.println("execute 执行任务");
            });
            pool.execute(() -> {
                System.out.println("execute 执行任务2");
            });

            System.out.println(future.get());
        }
    }
}
