package bunny.async;

import java.util.concurrent.CompletableFuture;

public class CompletableFutureTest5 {
    public static void main(String[] args) {
        CompletableFuture<String> future = CompletableFuture.supplyAsync(() -> "对");

        CompletableFuture<Void> consumedFuture = future
                .thenAccept(result -> System.out.println("我说的对吧: " + result))
                .thenAccept(result -> System.out.println("Result2: " + result))
                .thenAccept(result -> System.out.println("这个也可以链式调用，只是没有返回值" + result));

        consumedFuture.join();
    }
}
