package bunny.async;

import java.util.concurrent.FutureTask;

public class FutureTaskTest1 {
    public static void main(String[] args) throws Exception {
        FutureTask<Integer> futureTask = new FutureTask<>(() -> {
            // 模拟一个耗时的计算任务
            Thread.sleep(1000);
            return 42;
        });

        Thread thread = new Thread(futureTask);
        thread.start();

        // 等待任务执行完成并获取结果
        Integer result = futureTask.get();

        System.out.println("任务结果: " + result);
    }
}
