package jTest;

import java.util.HashMap;

public class HasMapTest {
    public static void main(String[] args) {
        // 如果使用的是 Map 没用直接的 forEach
        HashMap<String, Object> hashMap = new HashMap<>();
        hashMap.put("a", 1);
        hashMap.put("b", 2);
        hashMap.put("c", 3);
        hashMap.put("d", 4);
        hashMap.put("e", 5);

        // 如果在这个Map中没用找到这个键返回默认的值 666
        System.out.println(hashMap.getOrDefault("n", 666));

        // 拿到a的键
        System.out.println(hashMap.get("a"));

        // 是否包含键 a
        System.out.println(hashMap.containsKey("a"));

        // 是否包含值
        System.out.println(hashMap.containsValue(1));

        // 遍历 hashMap
        hashMap.forEach((s, o) -> {
            System.out.println("key：" + s);
            System.out.println("value：" + o);
        });
        hashMap.entrySet().forEach(System.out::println);

        // 将所以的键都添加到 hashMap 中
        HashMap<String, Object> addAllMap = new HashMap<>();
        addAllMap.put("f", 6);
        addAllMap.put("g", 7);
        addAllMap.put("h", 8);
        addAllMap.put("i", 9);
        hashMap.putAll(addAllMap);
        System.out.println(hashMap);
    }
}
